GLOBAL.require("map/tasks")
GLOBAL.require("constants")
GLOBAL.require("map/level") 
GLOBAL.require("map/lockandkey") -- for LOCKS and KEYS
local LOCKS = GLOBAL.LOCKS
local KEYS = GLOBAL.KEYS

function MakeRoomTask(room_name)
	return	{
		locks={LOCKS.BASIC_COMBAT,LOCKS.TIER1},
		keys_given={KEYS.NONE},
		room_choices={[room_name] = 1},
		room_bg=GLOBAL.GROUND.FOREST,
		background_room="BGForest",
		colour={r=1,g=1,b=0,a=1}
	}
end

function MakeLayoutRoom(room_name)
	return	{
				colour={r=0.2,g=0.0,b=0.2,a=0.3},
				value = GLOBAL.GROUND.FOREST,
				tags = {"ForceConnected"},
				contents =  {
								countstaticlayouts= {
									[room_name]=1,
								}, 
							}
			}
end


local Layouts = GLOBAL.require("map/layouts").Layouts
local StaticLayout = GLOBAL.require("map/static_layout")
local levels = GLOBAL.require("map/levels")

local layoutlist = {
	"graysloths_grave",
}


local function SurvivalLevelInit(level)
	for k,v in pairs(layoutlist) do
		local layout_name = v.."custom"
		Layouts[layout_name] = StaticLayout.Get("map/static_layouts/"..v)
		AddRoom(layout_name, MakeLayoutRoom(layout_name))
		AddTask(layout_name, MakeRoomTask(layout_name))
		table.insert(level.tasks, math.random(1, #level.tasks), layout_name)
	end
end

for k,level_name in pairs(levels.sandbox_levels) do	
	AddLevelPreInit(level_name.id, SurvivalLevelInit)
end